Bug 12842 - Add classification to MARC21 XSLT detail page
Summary: Add classification to MARC21 XSLT detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-28 12:45 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12842: Add DDC classification numbers to MARC21 XSLT detail page (3.37 KB, patch)
2014-08-28 13:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12842: Add DDC classification numbers to MARC21 XSLT detail page (3.61 KB, patch)
2014-11-01 11:46 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 12842: Add DDC classification numbers to MARC21 XSLT detail page (3.69 KB, patch)
2014-12-19 16:01 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-08-28 12:45:59 UTC
Show classificatons from 082 and 084 in the MARC21 detail pages.
Comment 1 Katrin Fischer 2014-08-28 13:25:45 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-11-01 11:46:05 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-12-19 16:01:11 UTC
Created attachment 34574 [details] [review]
[PASSED QA] Bug 12842: Add DDC classification numbers to MARC21 XSLT detail page

Patch will add DDC classifications, divided with | below the subjects
in the OPAC and staff detail pages.

To test:
- catalogue a record with one or mulitple 082$a subfields
- verify the classifications are displayed in OPAC and staff detail page
- Add following CSS to OpacUserCSS or IntranetUserCSS:

.results_summary.ddc {
  display:none;
}

- Verify the DDC classifications are now no longer displayed

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Test plan ok. Repetions of $a subfield are separated by a space, which seems
correct. I'm not sure whether other subfield than $a should be displayed on
intranet. Whatever, this could be added later.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-02-09 18:56:35 UTC
Patch pushed to master.

Thanks Katrina!